diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 275e722..8938928 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -13,7 +13,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: data.c,v 1.32 2009/11/29 20:06:28 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.33 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -30,8 +30,8 @@ Test(const char *type, const char *value_to_convert, SQLSMALLINT out_c_type, con
 	SQLWCHAR *wp;
 	int i;
 
-	SQLFreeStmt(Statement, SQL_UNBIND);
-	SQLFreeStmt(Statement, SQL_RESET_PARAMS);
+	SQLFreeStmt(odbc_stmt, SQL_UNBIND);
+	SQLFreeStmt(odbc_stmt, SQL_RESET_PARAMS);
 
 	/* execute a select to get data as wire */
 	sprintf(sbuf, "SELECT CONVERT(%s, '%s') AS data", type, value_to_convert);
@@ -42,15 +42,15 @@ Test(const char *type, const char *value_to_convert, SQLSMALLINT out_c_type, con
 	else if (strncmp(value_to_convert, "u&'", 3) == 0)
 		sprintf(sbuf, "SELECT CONVERT(%s, %s) AS data", type, value_to_convert);
 	if (ignore_select_error) {
-		if (Command2(sbuf, "SENo") == SQL_ERROR) {
-			ResetStatement();
+		if (odbc_command2(sbuf, "SENo") == SQL_ERROR) {
+			odbc_reset_statement();
 			return;
 		}
 	} else {
-		Command(sbuf);
+		odbc_command(sbuf);
 	}
 	ignore_select_error = 0;
-	SQLBindCol(Statement, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
+	SQLBindCol(odbc_stmt, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
 	CHKFetch("S");
 	CHKFetch("No");
 	CHKMoreResults("No");
@@ -106,7 +106,7 @@ main(int argc, char *argv[])
 {
 	int big_endian = 1;
 
-	Connect();
+	odbc_connect();
 
 	if (((char *) &big_endian)[0] == 1)
 		big_endian = 0;
@@ -123,7 +123,7 @@ main(int argc, char *argv[])
 	Test("IMAGE", "cricetone", SQL_C_BINARY, "6372696365746F6E65");
 	Test("VARBINARY(20)", "teo", SQL_C_BINARY, "74656F");
 	/* TODO only MS ?? */
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		Test("TIMESTAMP", "abcdefghi", SQL_C_BINARY, "6162636465666768");
 
 	Test("DATETIME", "2004-02-24 15:16:17", SQL_C_BINARY, big_endian ? "0000949700FBAA2C" : "979400002CAAFB00");
@@ -134,8 +134,8 @@ main(int argc, char *argv[])
 	Test("TINYINT", "231", SQL_C_BINARY, "E7");
 	Test("SMALLINT", "4321", SQL_C_BINARY, big_endian ? "10E1" : "E110");
 	Test("INT", "1234567", SQL_C_BINARY, big_endian ? "0012D687" : "87D61200");
-	if ((db_is_microsoft() && db_version_int() >= 0x08000000u)
-	    || (!db_is_microsoft() && strncmp(db_version(), "15.00.", 6) >= 0)) {
+	if ((odbc_db_is_microsoft() && odbc_db_version_int() >= 0x08000000u)
+	    || (!odbc_db_is_microsoft() && strncmp(odbc_db_version(), "15.00.", 6) >= 0)) {
 		int old_result = result;
 
 		Test("BIGINT", "123456789012345", SQL_C_BINARY, big_endian ? "00007048860DDF79" : "79DF0D8648700000");
@@ -149,12 +149,12 @@ main(int argc, char *argv[])
 	Test("INT", "-123", SQL_C_CHAR, "4 -123");
 	Test("INT", "78654", SQL_C_WCHAR, "5 78654");
 	Test("VARCHAR(10)", "  51245  ", SQL_C_LONG, "51245");
-	if (db_is_microsoft() && (strncmp(db_version(), "08.00.", 6) == 0 || strncmp(db_version(), "09.00.", 6) == 0)) {
+	if (odbc_db_is_microsoft() && (strncmp(odbc_db_version(), "08.00.", 6) == 0 || strncmp(odbc_db_version(), "09.00.", 6) == 0)) {
 		/* nvarchar without extended characters */
 		Test("NVARCHAR(20)", "test", SQL_C_CHAR, "4 test");
 		/* nvarchar with extended characters */
 		/* don't test with MS which usually have a not compatible encoding */
-		if (driver_is_freetds())
+		if (odbc_driver_is_freetds())
 			Test("NVARCHAR(20)", "0x830068006900f200", SQL_C_CHAR, "4 \x83hi\xf2");
 
 		Test("VARCHAR(20)", "test", SQL_C_WCHAR, "4 test");
@@ -179,13 +179,13 @@ main(int argc, char *argv[])
 	Test("MONEY", "4321234.5678", SQL_C_BINARY, big_endian ? "0000000A0FA8114E" : "0A0000004E11A80F");
 
 	/* behavior is different from MS ODBC */
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		Test("NCHAR(7)", "donald", SQL_C_BINARY, "64006F006E0061006C0064002000");
 		Test("NTEXT", "duck", SQL_C_BINARY, "6400750063006B00");
 		Test("NVARCHAR(20)", "daffy", SQL_C_BINARY, "64006100660066007900");
 	}
 
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		Test("UNIQUEIDENTIFIER", "0DDF3B64-E692-11D1-AB06-00AA00BDD685", SQL_C_BINARY,
 		     big_endian ? "0DDF3B64E69211D1AB0600AA00BDD685" : "643BDF0D92E6D111AB0600AA00BDD685");
 
@@ -195,7 +195,7 @@ main(int argc, char *argv[])
 	Test("DATETIME", "2006-06-09 11:22:44", SQL_C_WCHAR, "23 2006-06-09 11:22:44.000");
 	Test("SMALLDATETIME", "2006-06-12 22:37:21", SQL_C_WCHAR, "19 2006-06-12 22:37:00");
 
-	if (db_is_microsoft() && db_version_int() >= 0x08000000u) {
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x08000000u) {
 		Test("SQL_VARIANT", "CAST('123' AS INT)", SQL_C_CHAR, "3 123");
 		Test("SQL_VARIANT", "CAST('hello' AS CHAR(6))", SQL_C_CHAR, "6 hello ");
 		Test("SQL_VARIANT", "CAST('ciao' AS VARCHAR(10))", SQL_C_CHAR, "4 ciao");
@@ -207,14 +207,14 @@ main(int argc, char *argv[])
 		Test("SQL_VARIANT", "CAST('-123.4' AS NUMERIC(10,2))", SQL_C_CHAR, "7 -123.40");
 	}
 
-	if (db_is_microsoft() && db_version_int() >= 0x09000000u) {
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x09000000u) {
 		Test("VARCHAR(MAX)", "goodbye!", SQL_C_CHAR, "8 goodbye!");
 		Test("NVARCHAR(MAX)", "Micio mao", SQL_C_CHAR, "9 Micio mao");
 		Test("VARBINARY(MAX)", "ciao", SQL_C_BINARY, "6369616F");
 		Test("XML", "<a b=\"aaa\"><b>ciao</b>hi</a>", SQL_C_CHAR, "28 <a b=\"aaa\"><b>ciao</b>hi</a>");
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	if (!result)
 		printf("Done successfully!\n");
diff --git a/src/odbc/unittests/date.c b/src/odbc/unittests/date.c
index 3941e9e..ff240dc 100644
--- a/src/odbc/unittests/date.c
+++ b/src/odbc/unittests/date.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: date.c,v 1.12 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: date.c,v 1.13 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -16,7 +16,7 @@ DoTest(int n)
 
 	TIMESTAMP_STRUCT ts;
 
-	Command("select convert(datetime, '2002-12-27 18:43:21')");
+	odbc_command("select convert(datetime, '2002-12-27 18:43:21')");
 
 	CHKFetch("SI");
 	CHKDescribeCol(1, output, sizeof(output), NULL, &colType, &colSize, &colScale, &colNullable, "S");
@@ -42,12 +42,12 @@ DoTest(int n)
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
 	DoTest(0);
 	DoTest(1);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/descrec.c b/src/odbc/unittests/descrec.c
index ed7a1b7..31d2cfc 100644
--- a/src/odbc/unittests/descrec.c
+++ b/src/odbc/unittests/descrec.c
@@ -1,7 +1,7 @@
 /* test SQLGetDescRec */
 #include "common.h"
 
-static char software_version[] = "$Id: descrec.c,v 1.1 2010/03/02 15:41:37 freddy77 Exp $";
+static char software_version[] = "$Id: descrec.c,v 1.2 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,10 +12,10 @@ main(void)
 	SQLCHAR name[128];
 	SQLSMALLINT si;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	Command("create table #tmp1 (i int)");
+	odbc_command("create table #tmp1 (i int)");
 
 	/* get IRD */
 	CHKGetStmtAttr(SQL_ATTR_IMP_ROW_DESC, &Descriptor, sizeof(Descriptor), &ind, "S");
@@ -26,12 +26,12 @@ main(void)
 	CHKGetDescRec(1, name, sizeof(name), &si, NULL /*Type*/, NULL /*SubType*/, NULL /*Length*/, NULL/*Precision*/,
 		      NULL /*Scale*/, NULL /*Nullable*/, "No");
 
-	Command("SELECT name FROM sysobjects");
+	odbc_command("SELECT name FROM sysobjects");
 
 	CHKGetDescRec(1, name, sizeof(name), &si, NULL /*Type*/, NULL /*SubType*/, NULL /*Length*/, NULL/*Precision*/,
 		      NULL /*Scale*/, NULL /*Nullable*/, "S");
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
 
diff --git a/src/odbc/unittests/describecol.c b/src/odbc/unittests/describecol.c
index 0fad864..502de42 100644
--- a/src/odbc/unittests/describecol.c
+++ b/src/odbc/unittests/describecol.c
@@ -6,7 +6,7 @@
  * test what say SQLDescribeCol about precision using some type
  */
 
-static char software_version[] = "$Id: describecol.c,v 1.17 2010/02/12 09:04:58 freddy77 Exp $";
+static char software_version[] = "$Id: describecol.c,v 1.18 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int g_result = 0;
@@ -149,7 +149,7 @@ get_attr_ird(ATTR_PARAMS)
 	if (attr->type == type_CHARP)
 		fatal("Line %u: CHAR* check still not supported\n", line_num);
 	i = 0xdeadbeef;
-	ret = SQLColAttribute(Statement, 1, attr->value, NULL, SQL_IS_INTEGER, NULL, &i);
+	ret = SQLColAttribute(odbc_stmt, 1, attr->value, NULL, SQL_IS_INTEGER, NULL, &i);
 	if (!SQL_SUCCEEDED(ret))
 		fatal("Line %u: failure not expected\n", line_num);
 	/* SQL_DESC_LENGTH is the same of SQLDescribeCol len */
@@ -173,7 +173,7 @@ get_attr_ard(ATTR_PARAMS)
 	SQLHDESC desc = SQL_NULL_HDESC;
 
 	/* get ARD */
-	SQLGetStmtAttr(Statement, SQL_ATTR_APP_ROW_DESC, &desc, sizeof(desc), &ind);
+	SQLGetStmtAttr(odbc_stmt, SQL_ATTR_APP_ROW_DESC, &desc, sizeof(desc), &ind);
 
 	ret = SQL_ERROR;
 	switch (attr->type) {
@@ -218,10 +218,10 @@ main(int argc, char *argv[])
 	SQLLEN len;
 	get_attr_t get_attr_p = get_attr_none;
 
-	Connect();
-	Command("SET TEXTSIZE 4096");
+	odbc_connect();
+	odbc_command("SET TEXTSIZE 4096");
 
-	SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+	SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 
 	f = fopen(in_file, "r");
 	if (!f)
@@ -248,12 +248,12 @@ main(int argc, char *argv[])
 		if (strcmp(cmd, "odbc") == 0) {
 			int odbc3 = get_int(strtok(NULL, SEP)) == 3 ? 1 : 0;
 
-			if (use_odbc_version3 != odbc3) {
-				use_odbc_version3 = odbc3;
-				Disconnect();
-				Connect();
-				Command("SET TEXTSIZE 4096");
-				SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+			if (odbc_use_version3 != odbc3) {
+				odbc_use_version3 = odbc3;
+				odbc_disconnect();
+				odbc_connect();
+				odbc_command("SET TEXTSIZE 4096");
+				SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 			}
 		}
 
@@ -263,21 +263,21 @@ main(int argc, char *argv[])
 			const char *value = strtok(NULL, SEP);
 			char sql[sizeof(buf) + 40];
 
-			SQLMoreResults(Statement);
-			ResetStatement();
+			SQLMoreResults(odbc_stmt);
+			odbc_reset_statement();
 
 			sprintf(sql, "SELECT CONVERT(%s, %s) AS col", type, value);
 
 			/* ignore error, we only need precision of known types */
 			get_attr_p = get_attr_none;
-			if (CommandWithResult(Statement, sql) != SQL_SUCCESS) {
-				ResetStatement();
-				SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+			if (odbc_command_with_result(odbc_stmt, sql) != SQL_SUCCESS) {
+				odbc_reset_statement();
+				SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 				continue;
 			}
 
 			CHKFetch("SI");
-			SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+			SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 			get_attr_p = get_attr_ird;
 		}
 
@@ -293,7 +293,7 @@ main(int argc, char *argv[])
 				fatal("Line %u: value not defined\n", line_num);
 
 			/* get ARD */
-			SQLGetStmtAttr(Statement, SQL_ATTR_APP_ROW_DESC, &desc, sizeof(desc), &ind);
+			SQLGetStmtAttr(odbc_stmt, SQL_ATTR_APP_ROW_DESC, &desc, sizeof(desc), &ind);
 
 			ret = SQL_ERROR;
 			switch (attr->type) {
@@ -336,7 +336,7 @@ main(int argc, char *argv[])
 	}
 
 	fclose(f);
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return g_result;
diff --git a/src/odbc/unittests/earlybind.c b/src/odbc/unittests/earlybind.c
index e931d29..2d76bf0 100644
--- a/src/odbc/unittests/earlybind.c
+++ b/src/odbc/unittests/earlybind.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: earlybind.c,v 1.4 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: earlybind.c,v 1.5 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -10,22 +10,22 @@ main(int argc, char *argv[])
 	SQLLEN ind1, ind2;
 	char name[64];
 
-	Connect();
+	odbc_connect();
 
-	Command("CREATE TABLE #test(id INT, name VARCHAR(100))");
-	Command("INSERT INTO #test(id, name) VALUES(8, 'sysobjects')");
+	odbc_command("CREATE TABLE #test(id INT, name VARCHAR(100))");
+	odbc_command("INSERT INTO #test(id, name) VALUES(8, 'sysobjects')");
 
 	/* bind before select */
-	SQLBindCol(Statement, 1, SQL_C_SLONG, &id, sizeof(SQLINTEGER), &ind1);
-	SQLBindCol(Statement, 2, SQL_C_CHAR, name, sizeof(name), &ind2);
+	SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &id, sizeof(SQLINTEGER), &ind1);
+	SQLBindCol(odbc_stmt, 2, SQL_C_CHAR, name, sizeof(name), &ind2);
 
 	/* do select */
-	Command("SELECT id, name FROM #test WHERE name = 'sysobjects' SELECT 123, 'foo'");
+	odbc_command("SELECT id, name FROM #test WHERE name = 'sysobjects' SELECT 123, 'foo'");
 
 	/* get results */
 	id = -1;
 	memset(name, 0, sizeof(name));
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
 	if (id == -1 || strcmp(name, "sysobjects") != 0) {
 		fprintf(stderr, "wrong results\n");
@@ -33,13 +33,13 @@ main(int argc, char *argv[])
 	}
 
 	/* discard others data */
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 
 	id = -1;
 	memset(name, 0, sizeof(name));
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
 	if (id != 123 || strcmp(name, "foo") != 0) {
 		fprintf(stderr, "wrong results\n");
@@ -47,17 +47,17 @@ main(int argc, char *argv[])
 	}
 
 	/* discard others data */
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 
 	/* other select */
-	Command("SELECT 321, 'minni'");
+	odbc_command("SELECT 321, 'minni'");
 
 	/* get results */
 	id = -1;
 	memset(name, 0, sizeof(name));
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
 	if (id != 321 || strcmp(name, "minni") != 0) {
 		fprintf(stderr, "wrong results\n");
@@ -65,11 +65,11 @@ main(int argc, char *argv[])
 	}
 
 	/* discard others data */
-	SQLFetch(Statement);
+	SQLFetch(odbc_stmt);
 
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/error.c b/src/odbc/unittests/error.c
index 5a8785d..8e81599 100644
--- a/src/odbc/unittests/error.c
+++ b/src/odbc/unittests/error.c
@@ -2,7 +2,7 @@
 
 /* some tests on error reporting */
 
-static char software_version[] = "$Id: error.c,v 1.10 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: error.c,v 1.11 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -11,18 +11,18 @@ main(int argc, char *argv[])
 	SQLRETURN RetCode;
 	HSTMT stmt, tmp_stmt;
 
-	Connect();
+	odbc_connect();
 
 	/* create a test table */
-	Command("create table #tmp (i int)");
-	Command("insert into #tmp values(3)");
-	Command("insert into #tmp values(4)");
-	Command("insert into #tmp values(5)");
-	Command("insert into #tmp values(6)");
-	Command("insert into #tmp values(7)");
+	odbc_command("create table #tmp (i int)");
+	odbc_command("insert into #tmp values(3)");
+	odbc_command("insert into #tmp values(4)");
+	odbc_command("insert into #tmp values(5)");
+	odbc_command("insert into #tmp values(6)");
+	odbc_command("insert into #tmp values(7)");
 
 	/* issue our command */
-	RetCode = Command2("select 100 / (i - 5) from #tmp order by i", "SE");
+	RetCode = odbc_command2("select 100 / (i - 5) from #tmp order by i", "SE");
 
 	/* special case, early Sybase detect error early */
 	if (RetCode != SQL_ERROR) {
@@ -33,30 +33,30 @@ main(int argc, char *argv[])
 		CHKFetch("E");
 	}
 
-	ReadError();
+	odbc_read_error();
 	if (!strstr(odbc_err, "zero")) {
 		fprintf(stderr, "Message invalid\n");
 		return 1;
 	}
 
-	SQLFetch(Statement);
-	SQLFetch(Statement);
-	SQLFetch(Statement);
-	SQLMoreResults(Statement);
+	SQLFetch(odbc_stmt);
+	SQLFetch(odbc_stmt);
+	SQLFetch(odbc_stmt);
+	SQLMoreResults(odbc_stmt);
 
 	CHKAllocStmt(&stmt, "S");
 
-	Command("SELECT * FROM sysobjects");
+	odbc_command("SELECT * FROM sysobjects");
 
-	tmp_stmt = Statement;
-	Statement = stmt;
+	tmp_stmt = odbc_stmt;
+	odbc_stmt = stmt;
 
 	/* a statement is already active so you get error */
-	Command2("SELECT * FROM sysobjects", "E");
+	odbc_command2("SELECT * FROM sysobjects", "E");
 
-	ReadError();
+	odbc_read_error();
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/freeclose.c b/src/odbc/unittests/freeclose.c
index 3367912..f092f08 100644
--- a/src/odbc/unittests/freeclose.c
+++ b/src/odbc/unittests/freeclose.c
@@ -52,7 +52,7 @@
 
 #include "tds.h"
 
-static char software_version[] = "$Id: freeclose.c,v 1.12 2010/03/01 14:52:52 freddy77 Exp $";
+static char software_version[] = "$Id: freeclose.c,v 1.13 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* this crazy test test that we do not send too much prepare ... */
@@ -322,7 +322,7 @@ main(int argc, char **argv)
 	WSAStartup(MAKEWORD(1, 1), &wsaData);
 #endif
 
-	Connect();
+	odbc_connect();
 
 	last_socket = find_last_socket();
 	if (TDS_IS_SOCKET_INVALID(last_socket)) {
@@ -336,8 +336,8 @@ main(int argc, char **argv)
 		return 1;
 	}
 
-	is_freetds = driver_is_freetds();
-	Disconnect();
+	is_freetds = odbc_driver_is_freetds();
+	odbc_disconnect();
 
 	/* init fake server, behave like a proxy */
 	for (port = 12340; port < 12350; ++port)
@@ -355,23 +355,23 @@ main(int argc, char **argv)
 		sprintf(string, "%d", port);
 		setenv("TDSPORT", string, 1);
 
-		Connect();
+		odbc_connect();
 	} else {
 		char tmp[2048];
 		SQLSMALLINT len;
 
-		CHKAllocEnv(&Environment, "S");
-		CHKAllocConnect(&Connection, "S");
-		sprintf(tmp, "DRIVER={SQL Server};SERVER=127.0.0.1,%d;UID=%s;PWD=%s;DATABASE=%s;Network=DBMSSOCN;", port, USER, PASSWORD, DATABASE);
+		CHKAllocEnv(&odbc_env, "S");
+		CHKAllocConnect(&odbc_conn, "S");
+		sprintf(tmp, "DRIVER={SQL Server};SERVER=127.0.0.1,%d;UID=%s;PWD=%s;DATABASE=%s;Network=DBMSSOCN;", port, odbc_user, odbc_password, odbc_database);
 		printf("connection string: %s\n", tmp);
 		CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
-		CHKAllocStmt(&Statement, "S");
+		CHKAllocStmt(&odbc_stmt, "S");
 	}
 
 	/* real test */
-	Command("CREATE TABLE #test(i int, c varchar(40))");
+	odbc_command("CREATE TABLE #test(i int, c varchar(40))");
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* do not take into account connection statistics */
 	round_trips = 0;
@@ -392,7 +392,7 @@ main(int argc, char **argv)
 	}
 
 	printf("%u round trips %u inserts\n", round_trips, inserts);
-	ResetStatement();
+	odbc_reset_statement();
 
 	if (inserts > 1 || round_trips > num_inserts * 2 + 6) {
 		fprintf(stderr, "Too much round trips (%u) or insert (%u) !!!\n", round_trips, inserts);
@@ -421,7 +421,7 @@ main(int argc, char **argv)
 	}
 
 	printf("%u round trips %u inserts\n", round_trips, inserts);
-	ResetStatement();
+	odbc_reset_statement();
 
 	if (inserts > 1 || round_trips > num_inserts * 2 + 6) {
 		fprintf(stderr, "Too much round trips (%u) or insert (%u) !!!\n", round_trips, inserts);
@@ -430,7 +430,7 @@ main(int argc, char **argv)
 	printf("%u round trips %u inserts\n", round_trips, inserts);
 #endif
 
-	Disconnect();
+	odbc_disconnect();
 
 	alarm(10);
 	pthread_join(fake_thread, NULL);
diff --git a/src/odbc/unittests/funccall.c b/src/odbc/unittests/funccall.c
index 43b62bd..5e5d199 100644
--- a/src/odbc/unittests/funccall.c
+++ b/src/odbc/unittests/funccall.c
@@ -2,7 +2,7 @@
 
 /* Test for {?=call store(?)} syntax and run */
 
-static char software_version[] = "$Id: funccall.c,v 1.17 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: funccall.c,v 1.18 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -13,11 +13,11 @@ main(int argc, char *argv[])
 	SQLINTEGER out1;
 	char out2[30];
 
-	Connect();
+	odbc_connect();
 
-	Command("IF OBJECT_ID('simpleresult') IS NOT NULL DROP PROC simpleresult");
+	odbc_command("IF OBJECT_ID('simpleresult') IS NOT NULL DROP PROC simpleresult");
 
-	Command("create proc simpleresult @i int as begin return @i end");
+	odbc_command("create proc simpleresult @i int as begin return @i end");
 
 	CHKBindParameter(2, SQL_PARAM_INPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &input, 0, &ind2, "S");
 	CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &output, 0, &ind, "S");
@@ -35,13 +35,13 @@ main(int argc, char *argv[])
 	}
 
 	/* should return "Invalid cursor state" */
-	if (SQLFetch(Statement) != SQL_ERROR) {
+	if (SQLFetch(odbc_stmt) != SQL_ERROR) {
 		printf("Data not expected\n");
 		exit(1);
 	}
 
 	/* just to reset some possible buffers */
-	Command("DECLARE @i INT");
+	odbc_command("DECLARE @i INT");
 
 	/* same test but with SQLExecDirect and same bindings */
 	input = 567;
@@ -57,15 +57,15 @@ main(int argc, char *argv[])
 	/* should return "Invalid cursor state" */
 	CHKFetch("E");
 
-	Command("drop proc simpleresult");
+	odbc_command("drop proc simpleresult");
 
-	Command("IF OBJECT_ID('simpleresult2') IS NOT NULL DROP PROC simpleresult2");
+	odbc_command("IF OBJECT_ID('simpleresult2') IS NOT NULL DROP PROC simpleresult2");
 
 	/* force cursor close */
-	SQLCloseCursor(Statement);
+	SQLCloseCursor(odbc_stmt);
 
 	/* test output parameter */
-	Command("create proc simpleresult2 @i int, @x int output, @y varchar(20) output as begin select @x = 6789 select @y = 'test foo' return @i end");
+	odbc_command("create proc simpleresult2 @i int, @x int output, @y varchar(20) output as begin select @x = 6789 select @y = 'test foo' return @i end");
 
 	CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0,  0, &output, 0,            &ind,  "S");
 	CHKBindParameter(2, SQL_PARAM_INPUT,  SQL_C_SLONG, SQL_INTEGER, 0,  0, &input,  0,            &ind2, "S");
@@ -92,19 +92,19 @@ main(int argc, char *argv[])
 	/* should return "Invalid cursor state" */
 	CHKFetch("E");
 
-	Command("drop proc simpleresult2");
+	odbc_command("drop proc simpleresult2");
 
 	/*
 	 * test from shiv kumar
 	 * Cfr ML 2006-11-21 "specifying a 0 for the StrLen_or_IndPtr in the
 	 * SQLBindParameter call is not working on AIX"
 	 */
-	Command("IF OBJECT_ID('rpc_read') IS NOT NULL DROP PROC rpc_read");
+	odbc_command("IF OBJECT_ID('rpc_read') IS NOT NULL DROP PROC rpc_read");
 
-	ResetStatement();
+	odbc_reset_statement();
 
-	Command("create proc rpc_read @i int, @x timestamp as begin select 1 return 1234 end");
-	SQLCloseCursor(Statement);
+	odbc_command("create proc rpc_read @i int, @x timestamp as begin select 1 return 1234 end");
+	SQLCloseCursor(odbc_stmt);
 
 	CHKPrepare((SQLCHAR *) "{ ? = CALL rpc_read ( ?, ? ) }" , SQL_NTS, "S");
 
@@ -123,8 +123,8 @@ main(int argc, char *argv[])
 
 	CHKFetch("No");
 
-	ResetStatement();
-	Command("drop proc rpc_read");
+	odbc_reset_statement();
+	odbc_command("drop proc rpc_read");
 
 	/*
 	 * Test from Joao Amaral
@@ -133,14 +133,14 @@ main(int argc, char *argv[])
 	 * (with is supported only by mssql and do not return all stuff as 
 	 * select does)
 	 */
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 
-		ResetStatement();
+		odbc_reset_statement();
 
-		Command("IF OBJECT_ID('sp_test') IS NOT NULL DROP PROC sp_test");
-		Command("create proc sp_test @res int output as set @res = 456");
+		odbc_command("IF OBJECT_ID('sp_test') IS NOT NULL DROP PROC sp_test");
+		odbc_command("create proc sp_test @res int output as set @res = 456");
 
-		ResetStatement();
+		odbc_reset_statement();
 
 		CHKPrepare((SQLCHAR *) "{ call sp_test(?)}", SQL_NTS, "S");
 		CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &output, 0, &ind, "S");
@@ -152,10 +152,10 @@ main(int argc, char *argv[])
 			fprintf(stderr, "Invalid result %d(%x)\n", (int) output, (int) output);
 			return 1;
 		}
-		Command("drop proc sp_test");
+		odbc_command("drop proc sp_test");
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
